diff --git a/server/src/main/java/org/danekja/ymanager/ws/rest/UserController.java b/server/src/main/java/org/danekja/ymanager/ws/rest/UserController.java
index 1ba120e..891ebc2 100644
--- a/server/src/main/java/org/danekja/ymanager/ws/rest/UserController.java
+++ b/server/src/main/java/org/danekja/ymanager/ws/rest/UserController.java
@@ -3,8 +3,8 @@ package org.danekja.ymanager.ws.rest;
 import org.danekja.ymanager.business.UserManager;
 import org.danekja.ymanager.domain.Status;
 import org.danekja.ymanager.domain.User;
-import org.danekja.ymanager.dto.BasicProfileUser;
-import org.danekja.ymanager.dto.FullUserProfile;
+import org.danekja.ymanager.dto.BasicProfileUserDTO;
+import org.danekja.ymanager.dto.FullUserProfileDTO;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.security.authentication.AnonymousAuthenticationToken;
 import org.springframework.security.core.Authentication;
@@ -27,7 +27,7 @@ public class UserController {
     }
 
     @GetMapping
-    public List<BasicProfileUser> users(@RequestParam(value = "status", required = false) Status status) {
+    public List<BasicProfileUserDTO> users(@RequestParam(value = "status", required = false) Status status) {
         return userManager.getUsers(status);
     }
 
@@ -39,7 +39,7 @@ public class UserController {
      * @return user information object
      */
     @GetMapping("/current/profile")
-    public FullUserProfile getCurrentUser(Authentication auth) throws Exception {
+    public FullUserProfileDTO getCurrentUser(Authentication auth) throws Exception {
 
         if (auth instanceof AnonymousAuthenticationToken
                 || auth.getPrincipal() == null
@@ -51,9 +51,9 @@ public class UserController {
     }
 
     @GetMapping("/{id}/profile")
-    public FullUserProfile getUserProfile(@PathVariable("id") Long id) throws Exception {
+    public FullUserProfileDTO getUserProfile(@PathVariable("id") Long id) throws Exception {
         User u = userManager.getUser(id);
 
-        return new FullUserProfile(u);
+        return new FullUserProfileDTO(u);
     }
 }
diff --git a/server/src/test/java/org/danekja/ymanager/domain/DefaultSettingsDTOTest.java b/server/src/test/java/org/danekja/ymanager/domain/DefaultSettingsDTOTest.java
new file mode 100644
index 0000000..dfbf4c2
--- /dev/null
+++ b/server/src/test/java/org/danekja/ymanager/domain/DefaultSettingsDTOTest.java
@@ -0,0 +1,100 @@
+package org.danekja.ymanager.domain;
+
+import org.junit.jupiter.api.BeforeEach;
+import org.junit.jupiter.api.Test;
+
+import java.time.LocalDateTime;
+
+import static org.junit.jupiter.api.Assertions.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertThrows;
+
+/**
+ * This class tests methods of the {@code DefaultSettings} class.
+ * @see DefaultSettings
+ */
+class DefaultSettingsDTOTest {
+
+    /**
+     * The empty instance of the {@code DefaultSettings}.
+     */
+    private DefaultSettings defaultSettings;
+
+    /**
+     * Prepares the instance of the {@code DefaultSettings}.
+     */
+    @BeforeEach
+    void setUp() {
+        this.defaultSettings = new DefaultSettings();
+    }
+
+    /**
+     * Tests the method {@code setSickDayCount} with common values where no problem should occur.
+     */
+    @Test
+    void setSickDaysCount_valid() {
+        this.defaultSettings.setSickDayCount(10);
+        assertEquals(10, this.defaultSettings.getSickDayCount());
+    }
+
+    /**
+     * Tests the method {@code setSickDayCount} with zero which is a threshold value.
+     */
+    @Test
+    void setSickDaysCount_zeroInput() {
+        this.defaultSettings.setSickDayCount(0);
+        assertEquals(0, this.defaultSettings.getSickDayCount());
+    }
+
+    /**
+     * Tests the method {@code setSickDayCount} with negative one which is a threshold value.
+     */
+    @Test
+    void setSickDaysCount_negativeOneInput() {
+        assertThrows(IllegalArgumentException.class, () -> this.defaultSettings.setSickDayCount(-1));
+    }
+
+    /**
+     * Tests the method {@code setSickDayCount} with negative value.
+     */
+    @Test
+    void setSickDaysCount_negativeInput() {
+        assertThrows(IllegalArgumentException.class, () -> this.defaultSettings.setSickDayCount(-10));
+    }
+
+    /**
+     * Tests the method {@code setSickDayCount} with null value.
+     */
+    @Test
+    void setSickDaysCount_nullInput() {
+        assertThrows(IllegalArgumentException.class, () -> this.defaultSettings.setSickDayCount(null));
+    }
+
+    /**
+     * Tests the method {@code setNotification} with common values where no problem should occur.
+     */
+    @Test
+    void setNotification_valid() {
+        this.defaultSettings.setNotification(LocalDateTime.of(2010,5,1,20,0));
+        assertEquals(LocalDateTime.of(2010,5,1,20,0), this.defaultSettings.getNotification());
+    }
+
+    /**
+     * Tests the method {@code setNotification} with null value.
+     */
+    @Test
+    void setNotification_nullInput() {
+        assertThrows(IllegalArgumentException.class, () -> this.defaultSettings.setNotification(null));
+    }
+
+    /**
+     * Tests the method {@code toString}.
+     */
+    @Test
+    void testToString() {
+        DefaultSettings defaultSettings = new DefaultSettings();
+        defaultSettings.setId(5L);
+        defaultSettings.setSickDayCount(1);
+        defaultSettings.setNotification(LocalDateTime.of(2008,10,30,20,0));
+        assertEquals("DefaultSettings{id=5, sickDayCount=1, notification=2008-10-30T20:00}", defaultSettings.toString());
+    }
+}
